/**
* 
* Package:     @virtualpatterns/babel-preset-mablung-makefile
* Description: TBD
* Version:     0.0.8
* License:     GPL-3.0+
* Author:      virtualpatterns.com <code@virtualpatterns.com> (http://www.virtualpatterns.com)
* Repository:  https://github.com/virtualpatterns/babel-preset-mablung-makefile
* Source:      source/index.cjs
* 
**/
"use strict";

const Is = require('@pwn/is');

const Package = require('../package.json');

module.exports = function (api, option) {
  var _option$header;

  // "babel": {
  //   "overrides": [
  //     {
  //     },
  //     {
  //       "exclude": [
  //         "source/header/**/*",
  //       ],
  //       "plugins": [
  //         [
  //           "babel-plugin-add-header-comment",
  //           {
  //             "header": [
  //               "!node release/header/index.js"
  //             ]
  //           }
  //         ]
  //       ]
  //     }
  //   ]
  // },
  let configuration = Package.babel;
  let exclude = null;
  exclude = ((_option$header = option.header) === null || _option$header === void 0 ? void 0 : _option$header.exclude) || [];
  exclude = Is.array(exclude) ? exclude : [exclude];
  configuration.overrides[1].exclude.push(...exclude);
  return configuration;
};
